Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Oct 21 15:29
    rahilwazir starred hechoendrupal/drupal-console
  • Oct 19 22:00
    adamfranco commented #4300
  • Oct 19 21:59
    adamfranco commented #4300
  • Oct 18 11:18
    RSickenberg commented #4261
  • Oct 18 11:18
    RSickenberg commented #4261
  • Oct 18 09:57
    BramDriesen commented #4261
  • Oct 18 09:48
    RSickenberg commented #4261
  • Oct 15 16:52
    jeetpatel commented #4207
  • Oct 15 13:56
    BramDriesen commented #4261
  • Oct 15 13:55
    BramDriesen commented #4261
  • Oct 15 13:53
    BramDriesen commented #4261
  • Oct 15 13:52
    BramDriesen commented #4261
  • Oct 14 22:05
    bkline commented #4261
  • Oct 14 22:04
    bkline commented #4261
  • Oct 14 13:37
    RSickenberg commented #4261
  • Oct 13 03:21
    Ahmed-Ayman commented #4322
  • Oct 13 03:21
    Ahmed-Ayman commented #4322
  • Oct 11 12:16
    Luigisa commented #4309
  • Oct 09 04:01
    LynnelBlack starred hechoendrupal/drupal-console
  • Oct 08 20:33
    zoiosilva commented #3847
aran
@arancaytar
@welly you'll need to downgrade dom-crawler back to 3; check composer why-not symfony/dom-crawler:^3 to see if any dependency is preventing that. If there isn't anything, it might work if you remove the symfony/dom-crawler entry from composer.lock before running composer require drupal/console again.
FlutterStack
@kumara_suresh25_twitter

I am Suresh Kumara, (software development services) Drupal , Flutter + Firebase , NodeJs developer from INDIA.

Looking for remote work (web development using Drupal 8,9 . Mobile application using Flutter) , Immediately.

I was a web developer for 5 years. I started my career with codeigniter PHP MVC framework,
then moved to Drupal 7(2 projects) , Drupal 8 ( 2 migration project, 1 commerce, 1 project from theme ).

Last 1 year I have been trying flutter, ( I haven't written a plugin yet in dart ).

Firebase services are for backends ( storage, authentication, ...).

I have hands-on Node js + Apollo graphql backend development.

Thank you

stephang
@stephang

Hi everybody,
I am trying to find info about how the config files in Drupal Console relate to each other. Which values can I put into config.yml and which one in default.yml? Can I move values from config.yml into the defaults file?

In my understanding, I would add defaults.yml to my project repo (with some sane settings) and let users add their personal preference or stage|production settings in config.yml. Who can help?

Roger Zavala
@yo_quijote_twitter
Hi curl https://drupalconsole.com/installer -L -o drupal.phar is fail
onthecaitwalk
@onthecaitwalk
Sorry if this has been asked before but I'm newish to Drupal (done a little custom dev in Drupal 8) and doing some training before building a new project in Drupal 9. I've never used Drupal Console before but was wondering if it is compatible with Drupal 9?
matrixbot
@matrixbot
John no it's not
Aurélien Goulet
@elektrorl
Solomon L Yifru
@solomon123
curl https://drupalconsole.com/installer -L -o drupal.phar is not working the server is down, do we have any fix or alternative server to download drupal console. composer command is also not working $composer require drupal/console:~1.0 \
--prefer-dist \
--optimize-autoloader
Antonio Carlos Ribeiro
@antonioribeiro
Do we have a fix for this, an alternative or a way to download it from any other domain?
Antonio Carlos Ribeiro
@antonioribeiro
This is actually working fine for me: composer require drupal/console --prefer-dist --optimize-autoloader
Anish Sheela
@anish_gitlab
https://drupalconsole.com/installer is down and it breaks drupalvm.
Steps provided in https://drupalconsole.com/docs/en/getting/launcher
is not working..
I see that its down for a long time. Why is it so?
Samuel Podina
@sampodina
Hi, any updates on getting the launcher?
Samuel Podina
@sampodina
Hi for anybody looking for a way to get the launcher you can get it from the repo
Anish Sheela
@anish_gitlab
Thing is, this link being unavailable breaks a lot of things. Please bring it back, if possible.
Don Richards
@DonRichards
Screen Shot 2020-11-03 at 4.01.54 PM.png
Just thought I'd bring this to someone's attention. Error: Server Error
Anish Sheela
@anish_gitlab

https://drupalconsole.com/docs/en/getting/launcher

Update this documentation at least if you have no plans to bring up the installer. :(

My Drupal VM installer fails because of this
Dan Shumaker
@danshumaker
Sorry to be ignorant here - I'm a newby obviously - On Drupal8 projects we used asm89/twig-lint to lint our twig files interactively (i use nvim). However now using Drupal9 I can no longer use asm89/twig-lint because it depends on symfonyconsole 21. || 3.0. And with Drupal 9 I have symfony/console 4.4.16 installed. And I still want twig linting and I've reading up on symfony/console's native lint:twig command ( https://github.com/symfony/demo/blob/d2b90fbda5346022c6e92393022ef649987b937c/.travis.yml#L62 ) and ( https://www.drupal.org/project/drupal/issues/2242947 ) and ( https://symfony.com/doc/4.2/templating/syntax.html ) . Will hechoendrupal/DrupalConsole enable functionality like bin/console lint:twig templates/article/recent_list.html.twig ?? Or is DruaplConsole something entirely different? Apologies again for the newby question.
German Martin
@GDrupal
hi guys! is the support for custom command on D9 broken? anyone has tested this?
like adding a command in a custom module
sagoontech
@sagoontech
Hi Guys! ran in to problem while installing in to my server. I have Drupal 8.9.x version. This is the error message on composer update drupal/console --with-dependencies: Problem 1
- drupal/core-recommended is locked to version 8.9.13 and an update of this package was not requested.
- drupal/core-recommended 8.9.13 requires symfony/serializer v3.4.41 -> found symfony/serializer[v3.4.41] but it conflicts with another require.
acnimda
@acnimda
Hi there, while using drupal console to export contenttypes drupal cect after completed all steps an error occured: TypeError: ksort(): Argument #1 ($array) must be of type array, null given in ksort() (line 146 of /var/www/html/vendor/drupal/console/src/Command/Config/ExportEntityCommand.php). Failed to execute command drupal cect: exit status 1
cesardmoro
@cesardmoro
Hi guys, the proyect is still maintained ? i dont see any commit in 8 months and a few stuff that aren't working with d9 and composer 2, i would like to contribute if the proyect is still active!
i was able to fix a few stuff myself, also with help of volkswagenchick
jeetmail72
@jeetmail72:matrix.org
[m]
How can i install drupal-console globally in Drupal 8.9 on ubuntu 20.04?
I am getting the following error when running drupal list
<pre>PHP Fatal error: Uncaught ArgumentCountError: Too few arguments to function Drupal\Console\Extension\Manager::construct(), 3 passed and exactly 4 expected in /home/jeet/.config/composer/vendor/drupal/console/src/Extension/Manager.php:60
Stack trace:
#0 [internal function]: Drupal\Console\Extension\Manager->
construct()
#1 /home/jeet/.config/composer/vendor/symfony/dependency-injection/ContainerBuilder.php(1142): ReflectionClass->newInstanceArgs()
#2 /home/jeet/.config/composer/vendor/symfony/dependency-injection/ContainerBuilder.php(618): Symfony\Component\DependencyInjection\ContainerBuilder->createService()
#3 /home/jeet/.config/composer/vendor/symfony/dependency-injection/ContainerBuilder.php(1265): Symfony\Component\DependencyInjection\ContainerBuilder->doGet()
#4 /home/jeet/.config/composer/vendor/symfony/dependency-injection/ContainerBuilder.php(1213): Symfony\Component\DependencyInjection\ContainerBuilder->doResolveServices()
#5 /home/jeet/.config/composer/vendor/symfony/dependency-injection/ContainerBuilder.php(111 in /home/jeet/.config/composer/vendor/drupal/console/src/Extension/Manager.php on line 60

Fatal error: Uncaught ArgumentCountError: Too few arguments to function Drupal\Console\Extension\Manager::__construct(), 3 passed and exactly 4 expected in /home/jeet/.config/composer/vendor/drupal/console/src/Extension/Manager.php:60
</pre>